<?php

/*********************************************************************

 ニュースレスポンス数表示プラグイン（news/default用） | 設定ファイル (2015/09/09)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_newsres_count()
{
	global $freo;

	if (!$freo->smarty->get_template_vars('plugin_newses')) {
		return;
	}

	//ニュースID取得
	$plugin_news_keys = array_keys($freo->smarty->get_template_vars('plugin_newses'));

	//データ初期化
	$response_counts = array();
	foreach ($plugin_news_keys as $plugin_news) {
		$response_counts[$plugin_news] = 1;
	}

	//ニュースごとのレスポンス数取得
	$stmt = $freo->pdo->query('SELECT news_id, COUNT(*) FROM ' . FREO_DATABASE_PREFIX . 'plugin_newsreses WHERE news_id IN(' . implode(',', $plugin_news_keys) . ') GROUP BY news_id');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	while ($data = $stmt->fetch(PDO::FETCH_NUM)) {
		$response_counts[$data[0]] = 1 + $data[1];
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_newsres_counts' => $response_counts
	));

	return;
}

?>
